summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorPaweł Hajdan <phajdan.jr@gentoo.org>2012-05-29 08:05:05 +0000
committerPaweł Hajdan <phajdan.jr@gentoo.org>2012-05-29 08:05:05 +0000
commit955eb6534c6b1ee6fa5071009bbf2b4ee397cb45 (patch)
tree9b81472d908ca0e09b8d8b090c166d7ae484d1a3 /eclass
parentStable for HPPA (bug #417445). (diff)
downloadgentoo-2-955eb6534c6b1ee6fa5071009bbf2b4ee397cb45.tar.gz
gentoo-2-955eb6534c6b1ee6fa5071009bbf2b4ee397cb45.tar.bz2
gentoo-2-955eb6534c6b1ee6fa5071009bbf2b4ee397cb45.zip
Apply gnustep eclass changes wrt http://archives.gentoo.org/gentoo-dev/msg_eee22ea47f4d15e2fa2932583aa92db7.xml
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog8
-rw-r--r--eclass/gnustep-2.eclass6
-rw-r--r--eclass/gnustep-base.eclass8
3 files changed, 14 insertions, 8 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index eff0e778111e..96ed61abd739 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.274 2012/05/28 16:45:57 phajdan.jr Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.275 2012/05/29 08:05:05 phajdan.jr Exp $
+
+ 29 May 2012; Pawel Hajdan jr <phajdan.jr@gentoo.org> gnustep-2.eclass,
+ gnustep-base.eclass:
+ Apply gnustep eclass changes wrt
+ http://archives.gentoo.org/gentoo-dev/msg_eee22ea47f4d15e2fa2932583aa92db7.xm
+ l
28 May 2012; Pawel Hajdan jr <phajdan.jr@gentoo.org> eutils.eclass:
Simplify preserve_old_lib ewarn messages, wrt
diff --git a/eclass/gnustep-2.eclass b/eclass/gnustep-2.eclass
index 30e2a0e9d475..636072860fb0 100644
--- a/eclass/gnustep-2.eclass
+++ b/eclass/gnustep-2.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnustep-2.eclass,v 1.6 2011/12/27 17:55:12 fauli Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnustep-2.eclass,v 1.7 2012/05/29 08:05:05 phajdan.jr Exp $
# @ECLASS: gnustep-2.eclass
# @MAINTAINER:
@@ -15,7 +15,7 @@ inherit gnustep-base
DEPEND=">=gnustep-base/gnustep-make-2.0
virtual/gnustep-back"
RDEPEND="${DEPEND}
- debug? ( >=sys-devel/gdb-6.0 )"
+ debug? ( !<sys-devel/gdb-6.0 )"
# The following gnustep-based EXPORT_FUNCTIONS are available:
# * gnustep-base_pkg_setup
diff --git a/eclass/gnustep-base.eclass b/eclass/gnustep-base.eclass
index 24382449d977..0443ace1c942 100644
--- a/eclass/gnustep-base.eclass
+++ b/eclass/gnustep-base.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnustep-base.eclass,v 1.24 2012/02/20 10:14:44 voyageur Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnustep-base.eclass,v 1.25 2012/05/29 08:05:05 phajdan.jr Exp $
# @ECLASS: gnustep-base.eclass
# @MAINTAINER:
@@ -193,14 +193,14 @@ egnustep_install() {
# Make and install docs using GNUstep Makefiles
egnustep_doc() {
- if [[ -d ./Documentation ]] ; then
+ if [[ -d "${S}"/Documentation ]] ; then
# Check documentation presence
- cd "${S}"/Documentation
+ pushd "${S}"/Documentation || die
if [[ -f ./[mM]akefile || -f ./GNUmakefile ]] ; then
emake "${GS_ENV[@]}" all || die "doc make failed"
emake "${GS_ENV[@]}" install || die "doc install failed"
fi
- cd ..
+ popd || die
fi
}